<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Cabiet
  </title>

  <!-- Bootstrap core CSS -->
  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
    crossorigin="anonymous"></script>

  <script src="https://cdn.jsdelivr.net/npm/vue@2.5.13/dist/vue.js"></script>
  <link href="vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.js"></script>

  <!-- Custom fonts for this template -->
  <link href="vendor/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
  <link href="vendor/simple-line-icons/css/simple-line-icons.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Lato:300,400,700,300italic,400italic,700italic" rel="stylesheet" type="text/css">
  <link type="text/css" rel="stylesheet" href="https://unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue.css" />

  <!-- Custom styles for this template -->
  <link href="css/landing-page.min.css" rel="stylesheet">

</head>

<body>
  <div id="app">
    <nav class="navbar navbar-light bg-danger static-top ">
      <div class="container">
        <a class="navbar-brand" href="#">Bucca</a>
        <button v-on:click="getdata()"></button>
      </div>
    </nav>
    <table id="table" class="table">
      <thead>
        <th scope="col">#</th>
        <th scope="col">id</th>
        <th scope="col">Дата обследования</th>
        <th scope="col">Всего клеток</th>
        <th scope="col">Двуядерных клеток</th>
        <th scope="col">Клеток с Микроядрами</th>
        <th scope="col">Процент клеток</th>
      </thead>
      <tbody>
        <tr v-for="row in rows">
          <td> {{number}} </td>
          <td> {{row.idx}} </td>
          <td> {{row.date}} </td>
          <td> {{row.normal}} </td>
          <td> {{row.N2nucl}} </td>
          <td> {{row.micro}} </td>
          <td> {{row.procent}}% </td>
        </tr>
      </tbody>


    </table>
  </div>
  <!-- Bootstrap core JavaScript -->
  <script src="https://unpkg.com/babel-polyfill@latest/dist/polyfill.min.js"></script>
  <script src="https://unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue.js"></script>
  <script>
    var vm = new Vue({
      el: "#app",
      data() {
        return {
          debug: false,
          datasser: "",
          number: "#",
          id: [],
          date: [],
          normal: [],
          N2nucl: [],
          micro: [],
          procent: [],
          rows: [

            ]
        };
      },
      mounted: function () {
        this.getdata();

      },
      methods: {
        getdata() {
          const data = new FormData();
          data.append("test", "test");
          this.query_pending_flag = true;
          $.ajax({
            url: "/api/getdata",
            data: data,
            type: "POST",
            processData: false, // tell jQuery not to process the data
            contentType: false, // tell jQuery not to set contentType
            xhr: () => {
              const xhr = $.ajaxSettings.xhr(); // получаем объект XMLHttpRequest
              return xhr;
            },
            success: data => {
              var datas;

              this.datasser = data["Table"];

              if (this.debug == true) {
                alert(this.datasser);
                console.log(data["Table"]);

                console.log(this.datasser)
                alert(this.datasser.length);

              }
              var i = 0;
              var j = 0;
              // var array = 
              while (i < this.datasser.length) {
                while (j < 6) {
                  this.id.push(this.datasser[j][0]);
                  this.date.push(this.datasser[j][1]);
                  this.normal.push(this.datasser[j][2]);
                  this.N2nucl.push(this.datasser[j][3]);
                  this.micro.push(this.datasser[j][4]);
                  this.procent.push(this.datasser[j][5]);
                  j++;
                }
                i++;
              }
              if (this.debug == true) {
                console.log(this.id)
                console.log(this.date)
                console.log(this.normal)
                console.log(this.N2nucl)
                console.log(this.micro)
                console.log(this.procent)
              }
              i = 0;
              while (i<this.id.length) {
                if (this.debug == true) {
                  console.log(this.rows);

                }
                // console.log(this.id.length);
                this.addRow(this.id[i],this.date[i],this.normal[i],this.N2nucl[i],this.micro[i],this.procent[i]);
               
                i++;

              }
            }
          });
        },
       addRow:function(idx, date,normal,twonucl,micro,procent){
        //this.rows[0].splice(idx,date,normal,twonucl,micro,procent,{});
        this.rows.push({
              idx:idx,
              date:date,
              normal:normal,
              N2nucl:twonucl,
              micro:micro,
              procent:procent
         });
       }
      }
    });
  </script>

</body>

</html>